<?php

namespace Pinpoint\CronRunner\Controller\Adminhtml\Crons;

use Magento\Backend\App\Action;
use Magento\Backend\App\Action\Context;
use Magento\Framework\View\Result\PageFactory;

/**
 * Class ListAction
 * @package Pinpoint\CronRunner\Controller\Adminhtml\Crons
 */
class ListAction extends Action
{
    /**
     * @var PageFactory
     */
    protected $resultPageFactory;

    /**
     * @var \Magento\Cron\Model\Config
     */
    protected $config;

    /**
     * ListAction constructor.
     * @param Context $context
     * @param PageFactory $resultPageFactory
     * @param \Magento\Cron\Model\Config $config
     */
    public function __construct(
        Context $context,
        PageFactory $resultPageFactory,
        \Magento\Cron\Model\Config $config
    ) {
        parent::__construct($context);
        $this->resultPageFactory = $resultPageFactory;
        $this->config = $config;
    }

    /**
     * Check the permission to run it
     *
     * @return boolean
     */
    protected function _isAllowed()
    {
        return $this->_authorization->isAllowed('');
    }

    /**
     * Index action
     *
     * @return \Magento\Backend\Model\View\Result\Page
     */
    public function execute()
    {
        /** @var \Magento\Backend\Model\View\Result\Page $resultPage */
        $resultPage = $this->resultPageFactory->create();

//        var_dump($this->config->getJobs()); exit;
        return $resultPage;
    }
}
