<?php
namespace Pinpoint\CronRunner\Ui\Component\Listing\DataProviders\Pinpoint\Cronrunner;

class Crons extends \Magento\Ui\DataProvider\AbstractDataProvider
{

    protected $crons;

    public function __construct(
        $name,
        $primaryFieldName,
        $requestFieldName,
        \Pinpoint\CronRunner\Model\ResourceModel\Cron\CollectionFactory $collectionFactory,
        \Magento\Cron\Model\Config $config,
        array $meta = [],
        array $data = []
    ) {
        parent::__construct($name, $primaryFieldName, $requestFieldName, $meta, $data);
        $this->collection = $collectionFactory->create();
        $this->crons = $config;
    }

    public function getData()
    {
        $data = parent::getData();

        $data['items'] = [];
        foreach ($this->crons->getJobs() as $section => $jobs) {
            foreach ($jobs as $job) {
		if (!isset($job['name'])) continue;

                $data['items'][] = [
                    'job_code' => $job['name'],
                    'class' => $job['instance'],
                    'method' => $job['method']
                ];
            }
        }

        return $data;
    }
}
